package org.example;

class Employee implements Cloneable {
    private String name;
    private int age;

    public Employee(String name, int age) {
        this.name = name;
        this.age = age;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getName() {
        return name;
    }

    public int getAge() {
        return age;
    }

    @Override
    protected Object clone() throws CloneNotSupportedException {
        return super.clone();
    }
}

class Employee1 implements Cloneable {
    private String name;
    private int age;

    public Employee1(String name, int age) {
        this.name = name;
        this.age = age;
    }

    public Employee1(Employee1 employee) {
        this.name = employee.name;
        this.age = employee.age;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public String getName() {
        return name;
    }

    public int getAge() {
        return age;
    }

    @Override
    protected Object clone() throws CloneNotSupportedException {
        return new Employee1(this);
    }
}

public class Main {
    public static void main(String[] args) throws CloneNotSupportedException {
        Employee1 original = new Employee1("John Doe", 30);
        Employee1 copy = (Employee1) original.clone();

        System.out.println("Original: " + original.getName() + ", " + original.getAge());
        System.out.println("Copy: " + copy.getName() + ", " + copy.getAge());

        copy.setName("Jane Smith");
        copy.setAge(25);

        System.out.println("Original after modification: " + original.getName() + ", " + original.getAge());
        System.out.println("Copy after modification: " + copy.getName() + ", " + copy.getAge());
    }
}